## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate virtio-bindings

Name:           rust-virtio-bindings
Version:        0.2.3
Release:        %autorelease
Summary:        Rust FFI bindings to virtio generated using bindgen

License:        BSD-3-Clause OR Apache-2.0
URL:            https://crates.io/crates/virtio-bindings
Source0:        %{crates_source}
Source1:        https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-APACHE
Source2:        https://raw.githubusercontent.com/rust-vmm/vm-virtio/main/LICENSE-BSD

ExclusiveArch:  x86_64 aarch64 ppc64le riscv64

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust FFI bindings to virtio generated using bindgen.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+virtio-v4_14_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+virtio-v4_14_0-devel %{_description}

This package contains library source intended for building other packages which
use the "virtio-v4_14_0" feature of the "%{crate}" crate.

%files       -n %{name}+virtio-v4_14_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+virtio-v5_0_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+virtio-v5_0_0-devel %{_description}

This package contains library source intended for building other packages which
use the "virtio-v5_0_0" feature of the "%{crate}" crate.

%files       -n %{name}+virtio-v5_0_0-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp %{SOURCE1} .
cp %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3; Fixes RHBZ#2311129

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Feb 23 2024 JasenChao <JasenChao@gmail.com> - 0.2.2-3
- Add riscv64 support.

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2; Fixes RHBZ#2246343

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Sergio Lopez <slp@redhat.com> - 0.2.1-1
- Update to version 0.2.1
- Regenerate with rust2rpm 24
- Add out-of-crate license files

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 03 2021 Sergio Lopez <slp@redhat.com> - 0.1.0-2
- Exclude unsupported arches

* Fri May 07 2021 Sergio Lopez <slp@redhat.com> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
